Debian Bug report logs - #343616
postgresql-client-8.1: Incorrect expansion of %[ and %] in prompts

version graph

Package: postgresql-client-8.1; Maintainer for postgresql-client-8.1 is (unknown);

Reported by: Aaron Schrab <aaron@schrab.com>

Date: Fri, 16 Dec 2005 16:18:01 UTC

Severity: normal

Tags: patch, upstream

Found in version postgresql-client-8.1/8.1.1-1

Fixed in version postgresql-8.1/8.1.1-2

Done: Martin Pitt <mpitt@debian.org>

Bug is archived. No further changes may be made.

Forwarded to pgsql-bugs@postgresql.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Pitt <mpitt@debian.org>:
Bug#343616; Package postgresql-client-8.1. Full text and rfc822 format available.

Acknowledgement sent to Aaron Schrab <aaron@schrab.com>:
New Bug report received and forwarded. Copy sent to Martin Pitt <mpitt@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aaron Schrab <aaron@schrab.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: postgresql-client-8.1: Incorrect expansion of %[ and %] in prompts
Date: Fri, 16 Dec 2005 09:54:26 -0600
[Message part 1 (text/plain, inline)]
Package: postgresql-client-8.1
Version: 8.1.1-1
Severity: normal
Tags: patch

I'd previously opened bug #343128 against libreadline5 about this, but
the discussion there convinced me that the bug is actually in psql.

psql expands %[ and %] to \001\001 and \001\002 respectively.
Apparently the leading \001 is a bash internal thing and isn't part of
the "official" prompt ignore sequence.

With readline 5.1, this additional character causes propblems.  When %[
and %] are used, the cursor ends up over some character in the prompt.
When just \001 and \002 are used, the cursor ends up in the correct
place with versions 5.0 and 5.1 of readline.

The attached patch (ready to drop into the debian/patches directory)
fixes this problem.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-2-k7
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages postgresql-client-8.1 depends on:
ii  libc6                         2.3.5-8.1  GNU C Library: Shared libraries an
ii  libkrb53                      1.4.3-3    MIT Kerberos runtime libraries
ii  libpam0g                      0.79-3     Pluggable Authentication Modules l
ii  libpq4                        8.1.1-1    PostgreSQL C client library
ii  libreadline5                  5.1-1      GNU readline and history libraries
ii  libssl0.9.8                   0.9.8a-5   SSL shared libraries
ii  postgresql-common             37         manager for PostgreSQL database cl
ii  zlib1g                        1:1.2.3-8  compression library - runtime

postgresql-client-8.1 recommends no packages.

-- no debconf information
[53-psql-prompt.patch (text/plain, attachment)]

Noted your statement that Bug has been forwarded to pgsql-bugs@postgresql.org. Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Martin Pitt <mpitt@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Pitt <mpitt@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aaron Schrab <aaron@schrab.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 343616-close@bugs.debian.org (full text, mbox):

From: Martin Pitt <mpitt@debian.org>
To: 343616-close@bugs.debian.org
Subject: Bug#343616: fixed in postgresql-8.1 8.1.1-2
Date: Thu, 22 Dec 2005 14:02:33 -0800
Source: postgresql-8.1
Source-Version: 8.1.1-2

We believe that the bug you reported is fixed in the latest version of
postgresql-8.1, which is due to be installed in the Debian FTP archive:

libecpg-compat2_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/libecpg-compat2_8.1.1-2_i386.deb
libecpg-dev_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/libecpg-dev_8.1.1-2_i386.deb
libecpg5_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/libecpg5_8.1.1-2_i386.deb
libpgtypes2_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/libpgtypes2_8.1.1-2_i386.deb
libpq-dev_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/libpq-dev_8.1.1-2_i386.deb
libpq4_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/libpq4_8.1.1-2_i386.deb
postgresql-8.1_8.1.1-2.diff.gz
  to pool/main/p/postgresql-8.1/postgresql-8.1_8.1.1-2.diff.gz
postgresql-8.1_8.1.1-2.dsc
  to pool/main/p/postgresql-8.1/postgresql-8.1_8.1.1-2.dsc
postgresql-8.1_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/postgresql-8.1_8.1.1-2_i386.deb
postgresql-client-8.1_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/postgresql-client-8.1_8.1.1-2_i386.deb
postgresql-contrib-8.1_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/postgresql-contrib-8.1_8.1.1-2_i386.deb
postgresql-doc-8.1_8.1.1-2_all.deb
  to pool/main/p/postgresql-8.1/postgresql-doc-8.1_8.1.1-2_all.deb
postgresql-plperl-8.1_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/postgresql-plperl-8.1_8.1.1-2_i386.deb
postgresql-plpython-8.1_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/postgresql-plpython-8.1_8.1.1-2_i386.deb
postgresql-pltcl-8.1_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/postgresql-pltcl-8.1_8.1.1-2_i386.deb
postgresql-server-dev-8.1_8.1.1-2_i386.deb
  to pool/main/p/postgresql-8.1/postgresql-server-dev-8.1_8.1.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 343616@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Pitt <mpitt@debian.org> (supplier of updated postgresql-8.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 22 Dec 2005 19:13:21 +0100
Source: postgresql-8.1
Binary: postgresql-8.1 postgresql-pltcl-8.1 postgresql-plperl-8.1 libpgtypes2 libpq-dev libpq4 postgresql-doc-8.1 postgresql-plpython-8.1 libecpg-compat2 libecpg5 libecpg-dev postgresql-client-8.1 postgresql-server-dev-8.1 postgresql-contrib-8.1
Architecture: source i386 all
Version: 8.1.1-2
Distribution: unstable
Urgency: low
Maintainer: Martin Pitt <mpitt@debian.org>
Changed-By: Martin Pitt <mpitt@debian.org>
Description: 
 libecpg-compat2 - older version of run-time library for ECPG programs
 libecpg-dev - development files for ECPG (Embedded PostgreSQL for C)
 libecpg5   - run-time library for ECPG programs
 libpgtypes2 - shared library libpgtypes for PostgreSQL 8.1
 libpq-dev  - header files for libpq4 (PostgreSQL library)
 libpq4     - PostgreSQL C client library
 postgresql-8.1 - object-relational SQL database, version 8.1 server
 postgresql-client-8.1 - front-end programs for PostgreSQL 8.1
 postgresql-contrib-8.1 - additional facilities for PostgreSQL
 postgresql-doc-8.1 - documentation for the PostgreSQL database management system
 postgresql-plperl-8.1 - PL/Perl procedural language for PostgreSQL 8.1
 postgresql-plpython-8.1 - PL/Python procedural language for PostgreSQL 8.1
 postgresql-pltcl-8.1 - PL/TCL procedural language for PostgreSQL 8.1
 postgresql-server-dev-8.1 - development files for PostgreSQL 8.1 server-side programming
Closes: 343616
Changes: 
 postgresql-8.1 (8.1.1-2) unstable; urgency=low
 .
   * Do not build postgresql-8.1, p-contrib-8.1, and the PL/ packages on mips
     and mipsel, since the postmaster just SIGBUSes on these architectures and
     nobody seems to be able to fix that.
   * Add debian/patches/12-readline-prompt-ignore.patch: Do not prepend a
     '\001' before the 'prompt ignore begin/end' readline commands; this is a
     bash quirk, not a readline feature. Thanks to Aaron Schrab.
     Closes: #343616
Files: 
 1c2e1014328d12b20861cf09b1972154 1095 misc optional postgresql-8.1_8.1.1-2.dsc
 77a93be8273ea28d32a3d37e88e791ec 20291 misc optional postgresql-8.1_8.1.1-2.diff.gz
 5cb60a9eedf4cd45b60c44f94133dea2 1507202 doc optional postgresql-doc-8.1_8.1.1-2_all.deb
 66e232cc1d4a3711c1c5c7b410130d1f 4220464 misc optional postgresql-8.1_8.1.1-2_i386.deb
 6d2b96d8d1fff1697b116671eabd7fbe 1321600 misc optional postgresql-client-8.1_8.1.1-2_i386.deb
 f8ac55f1f7eef2999dcfc5e29f226032 581118 libdevel optional postgresql-server-dev-8.1_8.1.1-2_i386.deb
 e46a2f118972396892374670ff322a72 542526 misc optional postgresql-contrib-8.1_8.1.1-2_i386.deb
 f6ed32ad41343da448cf926edf88dfff 152006 misc optional postgresql-plperl-8.1_8.1.1-2_i386.deb
 09a5b8ef8831d7b0a4dc72633450d080 144822 misc optional postgresql-plpython-8.1_8.1.1-2_i386.deb
 a0fab8362ac3bff9d9ec792c05af58ab 146438 misc optional postgresql-pltcl-8.1_8.1.1-2_i386.deb
 f4596ed9a7055c5cf8bbbf256f90b495 291676 libdevel optional libpq-dev_8.1.1-2_i386.deb
 9082d360dc8fee08032f3317353bf99b 241178 libs optional libpq4_8.1.1-2_i386.deb
 606291a11462f1d8031e19a1f266da22 154530 libs optional libecpg5_8.1.1-2_i386.deb
 e6e9c3aec8fb32b9e453257e437a1a2c 319962 libdevel optional libecpg-dev_8.1.1-2_i386.deb
 f997f753bee1edcd9208f8b8ad3f9472 135904 libs optional libecpg-compat2_8.1.1-2_i386.deb
 5bf289cdd5f612fba5c0964ffdafe542 157752 libs optional libpgtypes2_8.1.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDqx7nDecnbV4Fd/IRAna7AKD6Ir1ndfwjqIlsxsRYjQGdkw69cgCgydpi
uQ3f8GXldv7VWE/X+DYqgNE=
=czrG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 17:32:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:53:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.